Discover Government News


   SUSE Security Update: Security update for icedtea-web
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:1259-1
Rating:             important
References:         #1142825 #1142832 #1142835 
Cross-References:   CVE-2019-10181 CVE-2019-10182 CVE-2019-10185
                   
CVSS scores:
                    CVE-2019-10181 (NVD) : 8.1 CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H
                    CVE-2019-10181 (SUSE): 8.8 CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
                    CVE-2019-10182 (NVD) : 6.5 CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:H/A:N
                    CVE-2019-10182 (SUSE): 6.8 CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:U/C:N/I:H/A:H
                    CVE-2019-10185 (SUSE): 8.3 CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:C/C:H/I:H/A:H

Affected Products:
                    SUSE Linux Enterprise Desktop 15-SP3
                    SUSE Linux Enterprise Desktop 15-SP4
                    SUSE Linux Enterprise High Performance Computing 15-SP3
                    SUSE Linux Enterprise High Performance Computing 15-SP4
                    SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3
                    SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP4
                    SUSE Linux Enterprise Server 15-SP3
                    SUSE Linux Enterprise Server 15-SP4
                    SUSE Linux Enterprise Server for SAP Applications 15-SP3
                    SUSE Linux Enterprise Server for SAP Applications 15-SP4
                    SUSE Linux Enterprise Workstation Extension 15-SP3
                    SUSE Linux Enterprise Workstation Extension 15-SP4
                    SUSE Manager Proxy 4.2
                    SUSE Manager Server 4.2
                    openSUSE Leap 15.3
                    openSUSE Leap 15.4
______________________________________________________________________________

   An update that fixes three vulnerabilities is now available.

Description:

   This update for icedtea-web fixes the following issues:

   - CVE-2019-10181: Fixed an issue where an attacker could inject unsigned
     code in a signed JAR file (bsc#1142835).
   - CVE-2019-10182: Fixed a path traversal issue where an attacker could
     upload arbritrary files by tricking a victim into running a specially
     crafted application(bsc#1142825).
   - CVE-2019-10185: Fixed an issue where an attacker could write files to
     arbitrary locations during JAR auto-extraction (bsc#1142832).


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.4:

      zypper in -t patch openSUSE-SLE-15.4-2022-1259=1

   - openSUSE Leap 15.3:

      zypper in -t patch openSUSE-SLE-15.3-2022-1259=1

   - SUSE Linux Enterprise Workstation Extension 15-SP4:

      zypper in -t patch SUSE-SLE-Product-WE-15-SP4-2022-1259=1

   - SUSE Linux Enterprise Workstation Extension 15-SP3:

      zypper in -t patch SUSE-SLE-Product-WE-15-SP3-2022-1259=1

   - SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP4:

      zypper in -t patch SUSE-SLE-Module-Packagehub-Subpackages-15-SP4-2022-1259=1

   - SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3:

      zypper in -t patch SUSE-SLE-Module-Packagehub-Subpackages-15-SP3-2022-1259=1



Package List:

   - openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64):

      icedtea-web-1.7.2-150100.7.3.1

   - openSUSE Leap 15.4 (noarch):

      icedtea-web-javadoc-1.7.2-150100.7.3.1

   - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64):

      icedtea-web-1.7.2-150100.7.3.1

   - openSUSE Leap 15.3 (noarch):

      icedtea-web-javadoc-1.7.2-150100.7.3.1

   - SUSE Linux Enterprise Workstation Extension 15-SP4 (x86_64):

      icedtea-web-1.7.2-150100.7.3.1

   - SUSE Linux Enterprise Workstation Extension 15-SP3 (x86_64):

      icedtea-web-1.7.2-150100.7.3.1

   - SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP4 (aarch64 ppc64le s390x):

      icedtea-web-1.7.2-150100.7.3.1

   - SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP4 (noarch):

      icedtea-web-javadoc-1.7.2-150100.7.3.1

   - SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (aarch64 ppc64le s390x):

      icedtea-web-1.7.2-150100.7.3.1

   - SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (noarch):

      icedtea-web-javadoc-1.7.2-150100.7.3.1


References:

   https://www.suse.com/security/cve/CVE-2019-10181.html
   https://www.suse.com/security/cve/CVE-2019-10182.html
   https://www.suse.com/security/cve/CVE-2019-10185.html
   https://bugzilla.suse.com/1142825
   https://bugzilla.suse.com/1142832
   https://bugzilla.suse.com/1142835

SUSE: 2022:1259-1 important: icedtea-web

April 19, 2022
An update that fixes three vulnerabilities is now available

Summary

This update for icedtea-web fixes the following issues: - CVE-2019-10181: Fixed an issue where an attacker could inject unsigned code in a signed JAR file (bsc#1142835). - CVE-2019-10182: Fixed a path traversal issue where an attacker could upload arbritrary files by tricking a victim into running a specially crafted application(bsc#1142825). - CVE-2019-10185: Fixed an issue where an attacker could write files to arbitrary locations during JAR auto-extraction (bsc#1142832). Patch Instructions: To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - openSUSE Leap 15.4: zypper in -t patch openSUSE-SLE-15.4-2022-1259=1 - openSUSE Leap 15.3: zypper in -t patch openSUSE-SLE-15.3-2022-1259=1 - SUSE Linux Enterprise Workstation Extension 15-SP4: zypper in -t patch SUSE-SLE-Product-WE-15-SP4-2022-1259=1 - SUSE Linux Enterprise Workstation Extension 15-SP3: zypper in -t patch SUSE-SLE-Product-WE-15-SP3-2022-1259=1 - SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP4: zypper in -t patch SUSE-SLE-Module-Packagehub-Subpackages-15-SP4-2022-1259=1 - SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3: zypper in -t patch SUSE-SLE-Module-Packagehub-Subpackages-15-SP3-2022-1259=1 Package List: - openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64): icedtea-web-1.7.2-150100.7.3.1 - openSUSE Leap 15.4 (noarch): icedtea-web-javadoc-1.7.2-150100.7.3.1 - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64): icedtea-web-1.7.2-150100.7.3.1 - openSUSE Leap 15.3 (noarch): icedtea-web-javadoc-1.7.2-150100.7.3.1 - SUSE Linux Enterprise Workstation Extension 15-SP4 (x86_64): icedtea-web-1.7.2-150100.7.3.1 - SUSE Linux Enterprise Workstation Extension 15-SP3 (x86_64): icedtea-web-1.7.2-150100.7.3.1 - SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP4 (aarch64 ppc64le s390x): icedtea-web-1.7.2-150100.7.3.1 - SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP4 (noarch): icedtea-web-javadoc-1.7.2-150100.7.3.1 - SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (aarch64 ppc64le s390x): icedtea-web-1.7.2-150100.7.3.1 - SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (noarch): icedtea-web-javadoc-1.7.2-150100.7.3.1

References

#1142825 #1142832 #1142835

Cross- CVE-2019-10181 CVE-2019-10182 CVE-2019-10185

CVSS scores:

CVE-2019-10181 (NVD) : 8.1 CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

CVE-2019-10181 (SUSE): 8.8 CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

CVE-2019-10182 (NVD) : 6.5 CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:H/A:N

CVE-2019-10182 (SUSE): 6.8 CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:U/C:N/I:H/A:H

CVE-2019-10185 (SUSE): 8.3 CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:C/C:H/I:H/A:H

Affected Products:

SUSE Linux Enterprise Desktop 15-SP3

SUSE Linux Enterprise Desktop 15-SP4

SUSE Linux Enterprise High Performance Computing 15-SP3

SUSE Linux Enterprise High Performance Computing 15-SP4

SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3

SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP4

SUSE Linux Enterprise Server 15-SP3

SUSE Linux Enterprise Server 15-SP4

SUSE Linux Enterprise Server for SAP Applications 15-SP3

SUSE Linux Enterprise Server for SAP Applications 15-SP4

SUSE Linux Enterprise Workstation Extension 15-SP3

SUSE Linux Enterprise Workstation Extension 15-SP4

SUSE Manager Proxy 4.2

SUSE Manager Server 4.2

openSUSE Leap 15.3

openSUSE Leap 15.4

https://www.suse.com/security/cve/CVE-2019-10181.html

https://www.suse.com/security/cve/CVE-2019-10182.html

https://www.suse.com/security/cve/CVE-2019-10185.html

https://bugzilla.suse.com/1142825

https://bugzilla.suse.com/1142832

https://bugzilla.suse.com/1142835

Severity
Announcement ID: SUSE-SU-2022:1259-1
Rating: important

Related News